<!--pages/shoppages/mall/mall.wxml-->

<view class='container'>
  <!-- 左边 -->
  <view class="index-left">
    <scroll-view scroll-with-animation="true" scroll-y style="height:100vh;" bindscroll="leftScroll" scroll-top="{{leftToTop}}">
      <view wx:for="{{constants}}" wx:key="id" bindtap="jumpToSick" data-id="{{item.cate_id}}" class="fs28 index-left-text {{item.cate_id === currentLeftSelect ? 'on' : ''}}" >
        <view id="{{'idx'+item.cate_id}}">
          {{item.cate_name}}
        </view>
      </view>
    </scroll-view>
  </view>

  <!-- 右边 -->
  <view class="index-right">
    <scroll-view scroll-with-animation="true" scroll-y style="height: 100vh;" bindscroll="rightScroll" scroll-into-view="{{toView}}" bindscrolltolower="lower">
      
      <view wx:for="{{constants}}" wx:key="cate_id" id="{{'idx'+item.cate_id}}" >
        <!-- <view id="{{item.id}}"> -->
       
        <view class="index-right-text-top fs28">{{item.cate_name}}</view>
        <view class='content-list'>

          <view class="index-right-text" wx:for="{{item.goods}}" wx:key="goods_id" wx:for-index="indexs"  wx:for-item="food">

            <view class='list-image-box'>
              <image src='{{food.goods_img}}' mode="aspectFill"></image>
            </view>
            <view class='content-list-lr'>
              <view class='content-list-lr-name fs26' >
                {{food.goods_name}}
              </view>
              <view class='issue-name'>
                <view>
                  <text class='issue-name-price fs30'>￥{{food.goods_price[0]}}</text>
                </view>
                <view class='menu-sign fs28' bindtap='single_order' data-goods_id="{{food.goods_id}}" data-goods_price="{{food.goods_price}}" data-goods_name="{{food.goods_name}}" data-product_id="{{food.product_id}}" data-cate_name="{{item.cate_name}}">报名</view>
              </view>
            </view>
          </view>
        </view>
        <!-- </view> -->
      </view>
    </scroll-view>
  </view>
</view>